API ReferenceProduct Variants
List booking availability
Retrieve available appointment slots for a booking product variant.
Retrieve available appointment slots for a booking product variant. Use the returned slot start time when creating a booking hold.
GET
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
product*integerThe product path parameter.
variant*integerThe variant path parameter.
from?stringStart date for the availability window.
Format
dateto?stringEnd date for the availability window.
Format
datequantity?integerNumber of seats to reserve for each returned slot.
Range
1 <= valueX-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
Successful response.
application/json- response
data*array<>curl -X GET 'https://sell.app/api/v2/products/0/variants/0/booking/availability' \ -H 'X-STORE: launch-lab'{ "data": [ { "start": "2026-06-22T14:00:00+00:00", "end": "2026-06-22T14:30:00+00:00", "label": "2:00 PM", "timezone": "UTC", "available_capacity": 3 } ]}